/{organizationId}/extensions/installed/{extensionId}Get installed extension details
Returns all details for an installed extension
Required permissions:
organization.read
Path Parameters
organizationIdstringrequired extensionIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/extensions/installed/{extensionId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Additional properties are not allowed.
colorstringrequired pattern: ^#[0-9A-F]{6}$
namestringrequired minLength: 1
maxLength: 60
infostringrequired maxLength: 140
descriptionstringrequired maxLength: 8092
installationsintegerrequired minimum: 0
maximum: 9007199254740991
installedAtdate-time | nullrequired Additional properties are not allowed.
Response
{
"_id": "000000000000000000000001",
"icon": {
"resource": "string"
},
"color": "string",
"categories": [
"smartAccess"
],
"name": "string",
"info": "string",
"website": "",
"images": [
{
"resource": "string",
"id": "string"
}
],
"description": "string",
"permissions": {},
"statusUrl": "",
"settingsUrl": "",
"installations": 0,
"installedAt": "2026-06-15T22:30:00Z",
"features": {
"synchronization": {
"enabled": false,
"segments": [],
"lastEnabledAt": null
}
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}